#include <stdio.h>
#include <stdlib.h>

int main()
{
	int n, k, p;
	scanf("%d %d", &n, &k);
	int a[n];

	for (int i = 0; i < n; ++i)
	{
		scanf("%d", &a[i]);
		if (k == a[i])
			p = i;
	}


	if (k != a[n - 1])
		printf("%d", a[p + 1]);
	else
		printf("%d", a[0]);
}